#include <propeller.h>
#include "ws2812.h"

void ws2812_fill_wheel_continuous(uint32_t *colors, int count, int samples, int delay)
{
    int i = 0, di = 1;
    int j = 0;
    for (;;) {
        colors[i] = ws2812_wheel(j * (255 / samples));
        ws2812_pause(delay);
        i += di;
        if (i >= count) {
            di = -1;
            --i;
        }
        else if (i < 0) {
            di = 1;
            ++i;
        } 
        if (++j >= samples)
            j = 0;    
    }
}
